com.h3c.sdn.nodemgr.model

## Class Entity

- java.lang.Object
- - com.h3c.sdn.nodemgr.model.Entity

- All Implemented Interfaces:
    TimeStamper

  Deprecated.

      @Deprecated
      public class Entity
      extends Object
      implements TimeStamper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Entity.ENTRY_TYPE` Deprecated. The type of ARP entry static or dynamic

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Entity()` Deprecated.
    `Entity(long macAddress, Integer ipv4Address)` Deprecated.
    `Entity(long source_mac, Short vlan, Integer nwSrc, Long dpid, Short port)` Deprecated.
    `Entity(long source_mac, Short vlan, Integer nwSrc, Long dpid, Short port, Date date)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Entity arpentry)` Deprecated.
    `boolean` | `equals(Object obj)` Deprecated.
    `long` | `getAge()` Deprecated.
    `ARPTableEntry` | `getARPTableEntry()` Deprecated.
    `Integer` | `getIpv4Address()` Deprecated.
    `long` | `getMacAddress()` Deprecated.
    `Long` | `getSwitchDPID()` Deprecated.
    `Short` | `getSwitchPort()` Deprecated.
    `long` | `getTimeStamp()` Deprecated.
    `Entity.ENTRY_TYPE` | `getType()` Deprecated.
    `Short` | `getVlan()` Deprecated.
    `int` | `hashCode()` Deprecated.
    `void` | `setAge(long age)` Deprecated.
    `void` | `setARPTableEntry(ARPTableEntry arpEntry)` Deprecated.
    `void` | `setIpv4Address(Integer ipv4Address)` Deprecated.
    `void` | `setMacAddress(long macAddress)` Deprecated.
    `void` | `setSwitchDPID(Long switchDPID)` Deprecated.
    `void` | `setSwitchPort(short port)` Deprecated.
    `void` | `setTimeStamp(long timeStamp)` Deprecated.
    `void` | `setType(Entity.ENTRY_TYPE type)` Deprecated.
    `void` | `setVlan(Short vlan)` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Entity

          public Entity()

      Deprecated.

    - #### Entity

          public Entity(long macAddress,
                Integer ipv4Address)

      Deprecated.

    - #### Entity

          public Entity(long source_mac,
                Short vlan,
                Integer nwSrc,
                Long dpid,
                Short port)

      Deprecated.

    - #### Entity

          public Entity(long source_mac,
                Short vlan,
                Integer nwSrc,
                Long dpid,
                Short port,
                Date date)

      Deprecated.

  - ### Method Detail

    - #### getType

          public Entity.ENTRY_TYPE getType()

      Deprecated.
      Returns:
        the type

    - #### setType

          public void setType(Entity.ENTRY_TYPE type)

      Deprecated.
      Parameters:
        `type` - the type to set

    - #### compareTo

          public int compareTo(Entity arpentry)

      Deprecated.

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Deprecated.
      Overrides:
        `equals` in class `Object`

    - #### getMacAddress

          public long getMacAddress()

      Deprecated.
      Returns:
        the macAddress

    - #### setMacAddress

          public void setMacAddress(long macAddress)

      Deprecated.
      Parameters:
        `macAddress` - the macAddress to set

    - #### getIpv4Address

          public Integer getIpv4Address()

      Deprecated.
      Returns:
        the ipv4Address

    - #### setIpv4Address

          public void setIpv4Address(Integer ipv4Address)

      Deprecated.
      Parameters:
        `ipv4Address` - the ipv4Address to set

    - #### getVlan

          public Short getVlan()

      Deprecated.
      Returns:
        the vlan

    - #### setVlan

          public void setVlan(Short vlan)

      Deprecated.
      Parameters:
        `vlan` - the vlan to set

    - #### getSwitchDPID

          public Long getSwitchDPID()

      Deprecated.
      Returns:
        the switchDPID

    - #### setSwitchDPID

          public void setSwitchDPID(Long switchDPID)

      Deprecated.
      Parameters:
        `switchDPID` - the switchDPID to set

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

    - #### getTimeStamp

          public long getTimeStamp()

      Deprecated.
      Specified by:
        `getTimeStamp` in interface `TimeStamper`

    - #### setTimeStamp

          public void setTimeStamp(long timeStamp)

      Deprecated.
      Specified by:
        `setTimeStamp` in interface `TimeStamper`

    - #### getAge

          public long getAge()

      Deprecated.
      Specified by:
        `getAge` in interface `TimeStamper`

    - #### setAge

          public void setAge(long age)

      Deprecated.
      Specified by:
        `setAge` in interface `TimeStamper`

    - #### getARPTableEntry

          public ARPTableEntry getARPTableEntry()

      Deprecated.

    - #### setARPTableEntry

          public void setARPTableEntry(ARPTableEntry arpEntry)

      Deprecated.

    - #### getSwitchPort

          public Short getSwitchPort()

      Deprecated.

    - #### setSwitchPort

          public void setSwitchPort(short port)

      Deprecated.

Copyright © 2014. All Rights Reserved.